Zum Hauptinhalt springen
GET
/
crm-object-schemas
/
v3
/
schemas
Rufen Sie alle Schemas für benutzerdefinierte Objekte ab.
curl --request GET \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "associations": [
        {
          "fromObjectTypeId": "2-123456",
          "id": "123",
          "name": "my_object_to_contact",
          "toObjectTypeId": "0-1"
        }
      ],
      "createdAt": "2020-02-20T18:07:11.390Z",
      "fullyQualifiedName": "p7878787_my_object\"",
      "id": "123456",
      "labels": {
        "plural": "My objects",
        "singular": "My object"
      },
      "metaType": "PORTAL_SPECIFIC",
      "name": "my_object",
      "primaryDisplayProperty": "my_object_property",
      "properties": [
        {
          "archived": false,
          "calculated": false,
          "createdAt": "2020-02-20T18:07:11.802Z",
          "displayOrder": -1,
          "externalOptions": false,
          "fieldType": "text",
          "groupName": "my_object_information",
          "hasUniqueValue": false,
          "label": "My object property",
          "name": "my_object_property",
          "type": "string",
          "updatedAt": "2020-02-20T18:07:11.802Z"
        }
      ],
      "requiredProperties": [
        "my_object_property"
      ],
      "searchableProperties": [
        "my_object_property"
      ],
      "updatedAt": "2020-02-20T18:09:07.555Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

archived
boolean
Standard:false

Ob nur Ergebnisse zurückgegeben werden sollen, die archiviert wurden.

includeAssociationDefinitions
boolean
Standard:true

Ob Zuordnungssdefinitionen in die Antwort aufgenommen werden sollen.

includeAuditMetadata
boolean
Standard:true

Ob Audit-Metadaten in die Antwort aufgenommen werden sollen.

includePropertyDefinitions
boolean
Standard:true

Ob Eigenschaftsdefinitionen in die Antwort aufgenommen werden sollen.

Antwort

successful operation

results
object[]
erforderlich
Last modified on April 13, 2026